AdminForumtopicsGridJsParams = "width=800,height=600";

function AdminForumtopicsGridModify( uid ) {
	window.open( 'edit.php?mode=modify&uid='+uid , '_blank' , AdminForumtopicsGridJsParams );
}

function AdminForumtopicsGridAction( n , action ) {
	if ($("#"+FNTHSuperGrid_ToolbarId( n , action )).hasClass( "dsb" )) return;
	switch (action) {
	case "new":
		window.open( 'edit.php?mode=new' , '_blank' , AdminForumtopicsGridJsParams );break;
	case "modify":
		AdminForumtopicsGridModify( $("#"+n).data( "selecteds" )[0] , AdminForumtopicsGridJsParams );
		break;
	case "delete":
		if (!window.confirm( 'hello world' )) return;
		BGAction( n , action );
		break;
	case "filter":
		$("#frm_AdminForumtopicsGrid").append( "<input type=\"hidden\" name=\"task\" value=\"filter\" />" );
		document.frm_AdminForumtopicsGrid.submit();
		break;
	}
}

function AdminForumtopicsGridSelectionChanged( tblid , chk , id ) {
	BGSelectionChanged( tblid , chk , id );
	BGSelectionChangedDefaultAMD( tblid , chk, id );
}
